
Foreman - Feature #35660

Update report templates for multi-CV

10/21/2022 03:23 PM - Jeremy Lenz

Status: Closed   

Priority: Normal   

Assignee: Jeremy Lenz   

Category: Reporting   

Target version:    

Difficulty:  Fixed in Releases: 3.6.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9478

  

Description

The methods #content_view and #lifecycle_environment no longer exist on host or content facet, so these need to be updated on the

reports.

Related issues:

Related to Katello - Feature #35580: Backend work: As a user I want to be abl... Closed

Related to Katello - Bug #36684: undefined method '#single_content_view' for ... Closed

Associated revisions

Revision f3881ee0 - 12/20/2022 06:36 PM - Jeremy Lenz

Fixes #35660 - Update report templates for multi CV

History

#1 - 10/21/2022 03:23 PM - Jeremy Lenz

- Related to Feature #35580: Backend work: As a user I want to be able to assign multiple content views on a content host added

#2 - 10/21/2022 03:27 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Jeremy Lenz

- Pull request https://github.com/theforeman/foreman/pull/9478 added

#3 - 12/20/2022 06:36 PM - The Foreman Bot

- Fixed in Releases 3.6.0 added

#4 - 12/20/2022 07:01 PM - Jeremy Lenz

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f3881ee0fca2b8b3d78467a5013c7e4b0347828c.

#5 - 02/28/2023 03:52 PM - Ewoud Kohl van Wijngaarden

- Category changed from Templates to Reporting

- Triaged changed from No to Yes

#6 - 08/16/2023 07:24 AM - Evgeni Golov

- Related to Bug #36684: undefined method '#single_content_view' for Katello::Host::ContentFacet::Jail (Katello::Host::ContentFacet)

(Safemode::NoMethodError) added
